function f=f_cyc_disparity_gradient(image,img_l,img_r,dis_l,dis_r,index,weight)
if index==1 
    disparity=dis_l;
else
    disparity=dis_r;
end
[g_x, g_y]=gradient(disparity);
g=[g_x(:);g_y(:)];
[f1 f2] = estimateggdparam(g);
f=[f1 f2];
end